Bug 172910 - ipw2200 doesn't work with encryption
ipw2200 doesn't work with encryption
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-11-10 23:12 EST by Bill Nottingham
Modified: 2014-03-16 22:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-11 00:43:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2005-11-10 23:12:38 EST
Description of problem:

Setting the key has no effect; it's ignored completely. If the network
requires encryption, it doesn't work.

Version-Release number of selected component (if applicable):

kernel-2.6.13-1.1617_FC5 - works
kernel-2.6.14-1.1639_FC5 - fails
random intervening versions - fails
kernel-2.6.14-1.1657_FC5 - fails

How reproducible:

Every time

Steps to Reproduce:
1. iwconfig <interface> enc <some key>
Actual results:

Key is not set.

Expected results:

Key is set.
Comment 1 Bill Nottingham 2005-11-10 23:43:51 EST
Some binary testing yields:
kernel-2.6.14-1.1632_FC5 - works
kernel-2.6.14-1.1635_FC5 - fails
Comment 2 Bill Nottingham 2005-11-11 00:43:03 EST
Appears to be fixed with 2.6.14-1.1659_FC5, as that updates the driver version.

Note You need to log in before you can comment on or make changes to this bug.